Fehler bei PVEProxy

MarcelW

New Member
Feb 10, 2019
27
1
3
29
Hi zusammen,

habe gerade eine frische Proxmox Installation aufgespielt, jedoch kam ich nicht auf die WebGUI.
Also habe ich geschaut ob PVEProxy läuft - tut er nicht.

Im Journal stehen folgende Einträge:
Code:
Feb 10 01:49:01 node1 pveproxy[3101]: Can't locate HTTP/Daemon.pm in @INC (you may need to install the HTTP::Daemon module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.24.1 /usr/local/share/perl/5.24.1 /usr/lib/x86_6
Feb 10 01:49:01 node1 pveproxy[3101]: BEGIN failed--compilation aborted at /usr/share/perl5/PVE/ACME/StandAlone.pm line 6.
Feb 10 01:49:01 node1 pveproxy[3101]: Compilation failed in require at /usr/share/perl5/PVE/API2/ACME.pm line 7.
Feb 10 01:49:01 node1 pveproxy[3101]: BEGIN failed--compilation aborted at /usr/share/perl5/PVE/API2/ACME.pm line 7.
Feb 10 01:49:01 node1 pveproxy[3101]: Compilation failed in require at /usr/share/perl5/PVE/API2/Certificates.pm line 6.
Feb 10 01:49:01 node1 pveproxy[3101]: BEGIN failed--compilation aborted at /usr/share/perl5/PVE/API2/Certificates.pm line 6.
Feb 10 01:49:01 node1 pveproxy[3101]: Compilation failed in require at /usr/share/perl5/PVE/API2/Nodes.pm line 44.
Feb 10 01:49:01 node1 pveproxy[3101]: BEGIN failed--compilation aborted at /usr/share/perl5/PVE/API2/Nodes.pm line 44.
Feb 10 01:49:01 node1 pveproxy[3101]: Compilation failed in require at /usr/share/perl5/PVE/API2.pm line 14.
Feb 10 01:49:01 node1 pveproxy[3101]: BEGIN failed--compilation aborted at /usr/share/perl5/PVE/API2.pm line 14.
Feb 10 01:49:01 node1 pveproxy[3101]: Compilation failed in require at /usr/share/perl5/PVE/Service/pveproxy.pm line 15.
Feb 10 01:49:01 node1 pveproxy[3101]: BEGIN failed--compilation aborted at /usr/share/perl5/PVE/Service/pveproxy.pm line 15.
Feb 10 01:49:01 node1 pveproxy[3101]: Compilation failed in require at /usr/bin/pveproxy line 11.
Feb 10 01:49:01 node1 pveproxy[3101]: BEGIN failed--compilation aborted at /usr/bin/pveproxy line 11.
Feb 10 01:49:01 node1 systemd[1]: pveproxy.service: Control process exited, code=exited status=2
Feb 10 01:49:01 node1 systemd[1]: Failed to start PVE API Proxy Server.
Feb 10 01:49:01 node1 systemd[1]: pveproxy.service: Unit entered failed state.
Feb 10 01:49:01 node1 systemd[1]: pveproxy.service: Failed with result 'exit-code'.
pveversion -v:
Code:
root@node1 ~ # pveversion -v
proxmox-ve: 5.3-1 (running kernel: 4.15.18-10-pve)
pve-manager: 5.3-9 (running version: 5.3-9/ba817b29)
pve-kernel-4.15: 5.3-1
pve-kernel-4.15.18-10-pve: 4.15.18-32
corosync: 2.4.4-pve1
criu: 2.11.1-1~bpo90
glusterfs-client: 3.8.8-1
ksm-control-daemon: not correctly installed
libjs-extjs: 6.0.1-2
libpve-access-control: 5.1-3
libpve-apiclient-perl: 2.0-5
libpve-common-perl: 5.0-45
libpve-guest-common-perl: 2.0-20
libpve-http-server-perl: 2.0-11
libpve-storage-perl: 5.0-37
libqb0: 1.0.3-1~bpo9
lvm2: 2.02.168-pve6
lxc-pve: 3.1.0-2
lxcfs: 3.0.2-2
novnc-pve: 1.0.0-2
proxmox-widget-toolkit: 1.0-22
pve-cluster: 5.0-33
pve-container: 2.0-34
pve-docs: 5.3-2
pve-edk2-firmware: 1.20181023-1
pve-firewall: 3.0-17
pve-firmware: 2.0-6
pve-ha-manager: 2.0-6
pve-i18n: 1.0-9
pve-libspice-server1: 0.14.1-2
pve-qemu-kvm: 2.12.1-1
pve-xtermjs: 3.10.1-1
qemu-server: 5.0-46
smartmontools: 6.5+svn4324-1
spiceterm: 3.0-5
vncterm: 1.5-3
Kann mir jemand helfen? :)


DANKE
 

MarcelW

New Member
Feb 10, 2019
27
1
3
29
Hat sich erledigt, habe über cpan "HTTP::Daemon" nachinstalliert - wer lesen kann ist klar im Vorteil...

Komisch, dass das nicht mit installiert wurde.
 

tom

Proxmox Staff Member
Staff member
Aug 29, 2006
13,673
426
83

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE and Proxmox Mail Gateway. We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get your own in 60 seconds.

Buy now!